Monitoring - Retrieve Widgets For Entity
ダッシュボードとエンティティのウィジェットを取得します。 注: これは、パフォーマンス ダッシュボードのウィジェットの取得のみをサポートします。
GET http://<Servername>/OperationsManager/monitoring/dashboard/{dashboardId}/entity/{entityId}
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
dashboard
|
path | True |
string |
ダッシュボード ID の指定 |
|
entity
|
path | True |
string |
エンティティ ID を指定します |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました。ダッシュボードとエンティティのウィジェットを正常に取得しました。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
例
RetrieveWidgets
要求のサンプル
GET http://<Servername>/OperationsManager/monitoring/dashboard/925b3d43-d716-d56d-84ba-55a2467a6e7d/entity/b39822ed-0efd-b8e0-9ac4-968b5de725ab
応答のサンプル
[
{
"id": "b39822ed-0efd-b8e0-9ac4-968b5de725ab",
"name": "performance windows",
"description": null,
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"componentType": "HtmlPerformanceWidget",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"selectedLegends\":[\"Target\",\"Path\",\"LastValue\"],\"visualizeObjectsByPerformance\":false},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[{\"id\":\"6f7e3306-beeb-2996-3795-7c1eafb925b8\",\"displayName\":\"All Windows Computers\",\"className\":\"All Windows Computers\",\"path\":null,\"fullName\":\"Microsoft.SystemCenter.AllComputersGroup\",\"objectType\":-1}]},\"criteria\":{\"timeRange\":{\"timeValue\":24,\"timeUnit\":\"Hours\"},\"performanceCounters\":[]}},\"widgetRefreshInterval\":5}"
}
]
定義
ComponentResponse
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
設定 |
| description |
string |
コンポーネントの説明 |
| id |
string |
身分証明書 |
| mpId |
string |
コンポーネントMP ID |
| name |
string |
コンポーネント名 |